Kerbal Space Program - Bug #1976

Out of memory error when changing scene
12/16/2013 06:11 PM - SMILIE_AUT

Status: Closed Start date: 12/16/2013
Severity: Low % Done: 100%
Assignee:
Category:
Target version:
Version: 0.22 Language: English (US)
Platform: 0OSX Mod Related: No

Expansion:

Description

When building larger ships (about 100 parts or more) and then switching scenes the games hangs quite often. The (attached) logs
show that it's an out of memory error, although I still got enough free RAM (6GB or more). | know that this is probably an engine/32
Bit limitation and | have quite some addons installed but maybe it's a bug or the logs can help find performance problems.

There are 3 or 4 flights in progress and some debris floating around in the save where the problem occurs.
Installed addons:

e ActionsOnTheFly

e B9 Aerospace

¢ BobCatind

¢ BossSquirrelz

e ExsurgentEngineering
FASA

Firespitter

KAS
KineTechAnimation
Lionhead_Aerospace_Inc
Mechdeb2
NovaPunch2
PartCatalog

RBI

ResGen

Squad

TriggerTech

kOS

logomatic

tek604

History

#1 - 12/16/2013 06:15 PM - SMILIE_AUT
- File logs.zip added

#2 - 12/19/2013 04:09 PM - SMILIE_AUT

Still get the hang in 0.23 but this time the log only contains one error like

UnloadTime: 59.483635 ms

Kerbal Space Program(12017,0xal0effla8) malloc: *** mach_vm_map (size=8388608) failed (error code=3)
*** error: can't allocate region

*** set a breakpoint in malloc_error_break to debug

in Player.log

#3 - 12/30/2013 10:49 AM - basilevs
- File 2013-12-30_221654.zip added
Adding logs for another OOM exception on scene change leading to a crash.

#4 - 04/21/2014 10:04 AM - Alo
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed happening in 0.23.5 with the same error in the console log. Total system memory of 8GB with only around 3GB used by KSP.

#5 - 05/17/2014 10:58 AM - basilevs
- File 2013-12-30_221654.zip added

Yet another crash dump for newer version.
build id = 464

2014-04-01_17-03-49

Branch: master

#6 - 05/17/2014 11:00 AM - basilevs
- File 2014-05-17_213346.zip added

Sorry, wrong file was attached in previous message.
build id = 464

2014-04-01_17-03-49

Branch: master

#7 - 05/17/2014 11:02 AM - basilevs
- File Many dumps.zip added

I'll all of my crashdumps as most of them happen during scene change (and are in one way or another caused by memory leak).

#8 - 05/26/2014 06:19 PM - PthorStorm
| have seen this same crash. It is always on launch, | never saw it before yesterday.

5/25/14 9:00:25.178 PM Kerbal Space Program [3359]: Kerbal Space Program(3359,0xb0b49000) malloc: *** mach_vm_map(size=790528)
failed (error code=3)

e error: can't allocate region
e set a breakpoint in malloc_error_break to debug

| was finally able to launch the game after changing the settings to launch in a window in 1280x800. Previously | would launch it in full-screen at
1440x900.

#9 - 01/04/2015 09:14 AM - DSKY
- File Player.log.zip added

I've been playing KSP for about a year now, and this problem has persisted the entire time, throughout the various versions that have been released.
If anything, it seems to be even worse in 0.90.

Running OSX, | keep Activity Monitor open at all times. As a session progresses, the memory use keeps ticking upward. Whenever | do a scene
change (or a quicksave), | cross my fingers. When the background sound stops | know it's "game over, man". Then it's the ol' beachball of death. CPU
usage for KSP drops to 51% and | have to force quit and restart. Running lots of mods plus Active Texture Management. For as many people that are
having the same issue (look through the forums & Google it), it is very disappointing to see this has a Low priority.

Here's a log file from my most recent crash. Moving from VAB to pad with a very small rocket (~20 parts).

#10 - 01/28/2015 07:51 AM - mecki
- File 20150121_KSP.zip added

I'm also having the very same problem.

| already wrote an email and posted to the forum:
http:/forum.kerbalspaceprogram.com/threads/108052-Constant-Crashes-asking-for-help

This is not my first thread about this problem.

I'm having this error since 0.23 on modded as well as on unmodded installs (all on OS X from Steam).

Sometimes | can't even get beyond the first change of scene and the game is hardly playable at the moment since version 0.90
http://forum.kerbalspaceprogram.com/threads/108052-Constant-Crashes-asking-for-help

It's really sad that this behavior doesn't get any improvement.

#11 - 01/28/2015 07:54 AM - mecki
- File 20150128 _KSP.zip added

Here's the correct log.

#12 - 01/28/2015 07:57 AM - mecki
- File 20150128-Player2.log.zip added

and a new oneall|

There are so many people complaining about this:
http://bugs.kerbalspaceprogram.com/issues/3869

#13 - 07/17/2016 09:25 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#14 - 08/08/2016 12:40 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report h j

You can also ask questions about the bug cleanup in the forum here:
http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files

Player_scenechange_flight_ksc.log
